import Request from '@/utils/request/request-util';

/**
 * low_code -字典api
 *
 */
export class BusinessDictApi {
    /**
     * 获取字典类型列表
     * @param {*} params
    */
    static dictTypeList(params) {
        return Request.getAndLoadData('/metaUserDict/dictType/list', params);
    }
    /**
     * 新增字典类型
     * @param {*} params
     */
    static dictTypeDdd(params) {
        return Request.post('/metaUserDict/dictType/add', params);
    }
    /**
     * 编辑字典类型
     * @param {*} params
     */
    static dictTypeEdit(params) {
        return Request.post('/metaUserDict/dictType/edit', params);
    }
    /**
     * 删除字典类型
     * @param {*} params
     */
    static dictTypeDelete(params) {
        return Request.post('/metaUserDict/dictType/delete', params);
    }
    /**
     * 获取字典详情 + 字典列表值
     * @param {*} params
     */
    static detail(params) {
        return Request.getAndLoadData('/metaUserDict/dictType/detail', params);
    }
    /**
     * 更新字典项列表
     * @param {*} params
     */
    static updateDictItemList(params) {
        return Request.post('/metaUserDict/dict/updateDictItemList', params);
    }
    /**
     * 汇总导出业务的所有数据库表
     * @param {*} params
     */
    static summaryCreateTableSql(params) {
        return Request.get('/metaSqlExport/summaryCreateTableSql', params);
    }

    /**
     * 汇总导出项目字典insertSQL
     * @param {*} params
     */
    static summaryCreateDictSql(params) {
        return Request.get('/metaSqlExport/summaryCreateDictSql', params);
    }

    /**
     * 汇总导出项目的字典的java枚举
     * @param {*} params
     */
    static javaEnums(params) {
        return Request.get('/metaBusinessCode/javaEnums', params);
    }
}
